using System;
using Spherical;
/*=====================================================================

  File:      HtmShape.cs for Spatial Sample
  Summary:   Implements base class for simple regions.
  Date:	     August 16, 2005

---------------------------------------------------------------------
  This spatial search library was developed by Alexander Szalay, Robert Brunner, 
  Peter Kunszt, and Gyorgy Fekete at the Department of Physics and Astronomy, 
  The Johns Hopkins University, in collaboration with Jim Gray, Microsoft Research.
  Details of the algorithms can be found at http://www.sdss.jhu.edu/htm/.
 
======================================================= */

namespace Spherical.HTM
{
	/// <summary>
	/// mplements base class for simple regions.
	/// </summary>
	public class HtmShape {

		protected Region Preg = null;
		protected Convex Pcon = null;

		protected void init(){
			Pcon = new Convex(); // this convex gets inserted into region
		}

		public HtmShape() {
			//
			// TODO: Add constructor logic here
			//
		}
		public string normalForm(){
			string result;
			result = new string('A', 1);
			return result;
		}
	}  
}
